# $Id: tutor7.make,v 1.1.1.1 2003/07/11 19:17:10 iwan Exp $
#
# The .make file can be used to
#   - change the standard set of files needed to build a user code
#     by including a statement
#     SOURCES = ...
#     where ... stands for the list of sources
#   - modify the compilation options, e.g.
#     FCFLAS = -fno-automatic -finit-local-zero
#     to make all local variables static with G77
#  -  Pass C-preprocessor directive on the command line, e.g. 
#     FCFLAGS = $(FCFLAGS) -Dmy_code
#  -  ...
#
# The .make file MUST be present in the user code directory, even 
# if it is just a dummy (emty) file.
#
# In the case of the tutor 1-7 codes, we use the .make file to 
# remove the egs_c_utils.o file 
# from the link step (because no parallel processing is being used).
#
EGS_EXTRA_OBJECTS = 

# We prefer using the ranmar generator => we overwrite the 
# default from $HEN_HOUSE/specs/all_common.spec
#
RANDOM = $(EGS_SOURCEDIR)ranmar

# tutor7 needs a different set of mortran files than tutor1-6. 
# => We must overwrite the SOURCES variable.
# Note: order is important!
# Note: don;t forget the leading tabs on continuation lines!
#
SOURCES = \
       $(EGS_SOURCEDIR)egsnrc.macros \
       $(MACHINE_MACROS) \
       $(RANDOM).macros\
       $(EGS_SOURCEDIR)transportp.macros\
       $(USER_CODE).mortran \
       $(RANDOM).mortran \
       $(EGS_SOURCEDIR)get_inputs.mortran\
       $(EGS_UTILS)nrcaux.mortran \
       $(MACHINE_MORTRAN) \
       $(EGS_SOURCEDIR)egs_utilities.mortran \
       $(EGS_SOURCEDIR)egsnrc.mortran
